Summary: Rlab is an interactive, interpreted scientific programming environment
Name: rlab
Version: 2.1.05
Release: 1
Copyright: GPL
Packager: Danny Sung <dannys@mail.com>
#Vendor: 
Group: Applications/Engineering
URL: http://rlab.sourceforge.net/
Source: http://download.sourceforge.net/rlab/rlab-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: /tmp/%{name}-%{version}-root

%description
Rlab is a very high level language intended to provide fast
prototyping and program development, as well as easy
data-visualization, and processing. Rlab is not a clone of languages
such as those used by tools like Matlab or Matrix-X/Xmath.  However,
as Rlab focuses on creating a good experimental environment (or
laboratory) in which to do matrix math, it can be called
``Matlab-like''; since the programming language possesses similar
operators and concepts.

%prep

%setup

%build
./configure --prefix=%{_prefix}
make CFLAGS+="${RPM_OPT_fLAGS}" FFLAGS+="${RPM_OPT_FLAGS}"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/rlib
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/doc/help
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/doc/examples
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/doc/help-source
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/doc/html
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/toolbox
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/controls-toolbox
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rlab-2.1.05/examples
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man/man1

make prefix=${RPM_BUILD_ROOT}%{_prefix} \
   install

install -m755 misc/rlab ${RPM_BUILD_ROOT}%{_prefix}/bin/rlab2

cat misc/rlab2 | \
   sed \
   's@^RROOT=.*$@RROOT="%{_prefix}"@;s@^RLAB2_RC0=.*$@RLAB2_RC0="${HOME}/.rlab"@' \
   > ${RPM_BUILD_ROOT}%{_prefix}/bin/rlab2

%post

%postun

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%{_prefix}/lib/rlab-2.1.05/*
%{_prefix}/lib/rlab2
%{_prefix}/man/man1/*

